---
-- Note: NO database connect context is assumed here it is up to the invoker
--       to do this, for example by typing:
--
--             db2 connect to MYDB
--
--       and then call this file, for example by typing:
--
--             db2 -f retail.sql
--
-- 
-- Drop any existing table references
drop table receiptinfo
create table receiptinfo(spmsg BLOB(4M) not null, msgtime TIMESTAMP)

drop table receiptinfo2
create table receiptinfo2(storename char(20) not null, branchnum integer not null, cashiernum integer not null, tillnum integer not null, date char(10) not null, time char(20) not null, itemname char(40) not null, itemcode integer not null, itemprice integer not null, itemquantity integer not null, totalitems integer not null, multibuy char(5) not null, totalsales integer not null, change integer not null)

drop table multibuy
create table multibuy(branchnum integer not null, itemname char(40) not null, quantity integer not null)

grant connect on database to public

connect reset

terminate